
set( novaddt_VERSION 03.02.04 )
set( novaddt_UPS_VERSION v03_02_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq_core v1_03_03 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718 )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_07_00 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_00_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_11_12 )
  find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( novadaq v03_01_00 )
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_NTUPLE )
      cet_find_library( ART_NTUPLE NAMES art_Ntuple PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION )
      cet_find_library( TEST_INTEGRATION NAMES test_Integration PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_UTILITIES )
      cet_find_library( ARTDAQ-CORE_UTILITIES NAMES artdaq-core_Utilities PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_DATA )
      cet_find_library( ARTDAQ-CORE_DATA NAMES artdaq-core_Data PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_DATA_DICT )
      cet_find_library( ARTDAQ-CORE_DATA_DICT NAMES artdaq-core_Data_dict PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_CORE )
      cet_find_library( ARTDAQ-CORE_CORE NAMES artdaq-core_Core PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_GENERATORS )
      cet_find_library( ARTDAQ-CORE_GENERATORS NAMES artdaq-core_Generators PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_BUILDINFO )
      cet_find_library( ARTDAQ-CORE_BUILDINFO NAMES artdaq-core_BuildInfo PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE )
      cet_find_library( ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE NAMES artdaq-core_ArtModules_ArtdaqCoreBuildInfo_module PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE )
      cet_find_library( ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE NAMES artdaq-core_ArtModules_PrintBuildInfo_module PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILS )
      cet_find_library( DATABASEUTILS NAMES DatabaseUtils PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSDAQAPPMGR )
      cet_find_library( DATABASEUTILSDAQAPPMGR NAMES DatabaseUtilsDAQAppMgr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSDAQCONFIG )
      cet_find_library( DATABASEUTILSDAQCONFIG NAMES DatabaseUtilsDAQConfig PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSDCS )
      cet_find_library( DATABASEUTILSDCS NAMES DatabaseUtilsDCS PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSRUNHISTORY )
      cet_find_library( DATABASEUTILSRUNHISTORY NAMES DatabaseUtilsRunHistory PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQCHANNELMAP )
      cet_find_library( DAQCHANNELMAP NAMES DAQChannelMap PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQDATAFORMATS )
      cet_find_library( DAQDATAFORMATS NAMES DAQDataFormats PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQQUALITYCHECK )
      cet_find_library( DAQQUALITYCHECK NAMES DAQQualityCheck PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTDISPATCHER_COMMANDSET )
      cet_find_library( EVENTDISPATCHER_COMMANDSET NAMES EventDispatcher_CommandSet PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVADATABASE )
      cet_find_library( NOVADATABASE NAMES NovaDatabase PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVADAQUTILITIES )
      cet_find_library( NOVADAQUTILITIES NAMES NovaDAQUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVATIMINGUTILITIES )
      cet_find_library( NOVATIMINGUTILITIES NAMES NovaTimingUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PACKAGEVERSION )
      cet_find_library( PACKAGEVERSION NAMES PackageVersion PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RAWFILEPARSER )
      cet_find_library( RAWFILEPARSER NAMES RawFileParser PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SHMRDWR )
      cet_find_library( SHMRDWR NAMES ShmRdWr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SHMMILLIBLOCK )
      cet_find_library( SHMMILLIBLOCK NAMES ShmMilliBlock PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVADAQMONITORINGCLIENT )
      cet_find_library( NOVADAQMONITORINGCLIENT NAMES NovaDAQMonitoringClient PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQDCSMESSAGES )
      cet_find_library( DAQDCSMESSAGES NAMES DAQDCSMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ERRORHANDLERMESSAGES )
      cet_find_library( ERRORHANDLERMESSAGES NAMES ErrorHandlerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DDTTRIGGERMESSAGES )
      cet_find_library( DDTTRIGGERMESSAGES NAMES DDTTriggerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLOBALTRIGGERMESSAGES )
      cet_find_library( GLOBALTRIGGERMESSAGES NAMES GlobalTriggerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RUNCONTROLMESSAGES )
      cet_find_library( RUNCONTROLMESSAGES NAMES RunControlMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SNEWSINTERFACEMESSAGES )
      cet_find_library( SNEWSINTERFACEMESSAGES NAMES SNEWSInterfaceMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NSNMESSAGES )
      cet_find_library( NSNMESSAGES NAMES NSNMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SPILLSERVERMESSAGES )
      cet_find_library( SPILLSERVERMESSAGES NAMES SpillServerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RMS_SCHEMA )
      cet_find_library( RMS_SCHEMA NAMES rms_schema PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RMS )
      cet_find_library( RMS NAMES rms PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RMS_BASE )
      cet_find_library( RMS_BASE NAMES rms_base PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RMS_PROVIDER )
      cet_find_library( RMS_PROVIDER NAMES rms_provider PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RMS_UTIL )
      cet_find_library( RMS_UTIL NAMES rms_util PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( ACTIVITYTRIGGERANA_MODULE NAMES ActivityTriggerAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRICELLTRIGGERANA_MODULE NAMES TriCellTriggerAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( ACTIVITYTRIGGER_MODULE NAMES ActivityTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRICELLTRIGGER_MODULE NAMES TriCellTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( FEBOVERFLOWTRIGGER_MODULE NAMES FEBOverflowTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTBASEDATAPRODUCTS NAMES DDTBaseDataProducts PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTBASEDATAPRODUCTS_DICT NAMES DDTBaseDataProducts_dict PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTCORE NAMES DDTCore PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( WAVEFORMPROCESSOR_SERVICE NAMES WaveformProcessor_service PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVAFRAGMENTREADER_GENERATOR NAMES NovaFragmentReader_generator PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVAFRAGMENTFILEREADER_GENERATOR NAMES NovaFragmentFileReader_generator PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADDT_SOURCE NAMES NovaDDT_source PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADDTHITPRODUCER_MODULE NAMES NovaDDTHitProducer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTCORE_NOVADDTTRIGGER_MODULE NAMES DDTCore_NovaDDTTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADDTRAWINPUTSOURCE_SOURCE NAMES NovaDDTRawInputSource_source PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVALUATION_MODULE NAMES Evaluation_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( GHLTEST_MODULE NAMES GHLTest_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( MILLIBLOCKCHECKING_MODULE NAMES MilliBlockChecking_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTSTREAMER_MODULE NAMES DDTStreamer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTDEMO_MODULE NAMES DDTDemo_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICEPRESCALE_MODULE NAMES SlicePrescale_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTPRESCALE_MODULE NAMES EventPrescale_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTUTILITIESFUNC NAMES DDTUtilitiesFunc PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SNANA_MODULE NAMES SNAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMMTRIGGER_MODULE NAMES SlowMMTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HIGHETRIGGER_MODULE NAMES HighETrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( UPMUTRIGGER_MODULE NAMES UpMuTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( FASTMMTRIGGER_MODULE NAMES FastMMTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DBSLICER_MODULE NAMES DBSlicer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVENOISE_MODULE NAMES RemoveNoise_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLETONREJECTION_MODULE NAMES SingletonRejection_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SPACESLICE_MODULE NAMES SpaceSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMESLICE_MODULE NAMES TimeSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( FEBFLASHFILTER_MODULE NAMES FEBFlashFilter_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLETONREJECTIONANA_MODULE NAMES SingletonRejectionAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TDSLICE_MODULE NAMES TDSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HIGHADCFILTER_MODULE NAMES HighADCFilter_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( RESTRICTHITSBYPLANE_MODULE NAMES RestrictHitsByPlane_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMEDCMSLICE_MODULE NAMES TimeDCMSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVEONEDSLICES_MODULE NAMES RemoveOneDSlices_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVESPATIALNOISE_MODULE NAMES RemoveSpatialNoise_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( MULTIPLET_MODULE NAMES Multiplet_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DCMSLICE_MODULE NAMES DCMSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYDCM_MODULE NAMES SortByDCM_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HIGHSORTBYTDC_MODULE NAMES HighSortByTDC_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYTDC_MODULE NAMES SortByTDC_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYVIEW_MODULE NAMES SortByView_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYPLANE_MODULE NAMES SortByPlane_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUESELECT_MODULE NAMES NuESelect_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERANA_MODULE NAMES ClusterAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUTRIGGER_MODULE NAMES NuMuTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( UPMUTESTTRIGGER_MODULE NAMES UpMuTestTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( CONTAINEDSLICE_MODULE NAMES ContainedSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( PATREC NAMES PatRec PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERER_MODULE NAMES Clusterer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTTRACKMERGE_MODULE NAMES DDTTrackMerge_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHTRACKER_MODULE NAMES HoughTracker_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGE2DTRACKS_MODULE NAMES Merge2DTracks_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICER3D_MODULE NAMES Slicer3D_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMONOPOLETRIGGER NAMES SlowMonopoleTrigger PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMONOPOLETRIGGER_MODULE NAMES SlowMonopoleTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( RATEMONITOR_MODULE NAMES RateMonitor_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKFIT_MODULE NAMES TrackFit_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SENDTRIGGERSIGNAL_MODULE NAMES SendTriggerSignal_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SUPERNOVATRIGGER_MODULE NAMES SupernovaTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )

check_required_components(novaddt)
