////////////////////////////////////////////////////////////////////////////
// \version $Id: Track.cxx,v 1.4 2012-11-20 20:26:04 brebel Exp $
//
// \brief Definition of Track object
//
// \author brebel@fnal.gov
//
////////////////////////////////////////////////////////////////////////////

#include "DDTBaseDataProducts/Track.h"

namespace novaddt{
 
  //------------------------------------------------------------------------
  Track::Track()
    : fView     (0)
    , fInverseBeta    (0.)
    , fStartV   (0.)
    , fStartZ   (0.)
    , fStartT   (0)
    , fEndV     (0.)
    , fEndZ     (0.)
    , fEndT     (0)
  {
  }

  //------------------------------------------------------------------------
  Track::Track(uint8_t      const& view,
               float    const& inversebeta,
               float    const& startv,
               float    const& startz,
	       TDC      const& startt,
               float    const& endv,
               float    const& endz,
	       TDC      const& endt
               )
    : fView    (view)
    , fInverseBeta    (inversebeta)
    , fStartV  (startv)
    , fStartZ  (startz)
    , fStartT  (startt)
    , fEndV    (endv)
    , fEndZ    (endz)
    , fEndT    (endt)
  {
    return;
  }

} //end namespace
