#include "DDTBaseDataProducts/TriggerDecision.h"

#ifndef __GCCXML__



namespace novaddt
{
  TriggerDecision::TriggerDecision()
    : _start(0), _duration(0), _mask(daqdataformats::trigID::TRIG_ID_NULL), _prescale(1)
  {
  }

  TriggerDecision::TriggerDecision(TDC start, TDC duration, TriggerMask mask, unsigned prescale)
    : _start(start), _duration(duration), _mask(mask), _prescale(prescale)
  {
  }

  TDC::value_type TriggerDecision::start() const
  {
    return _start.val;
  }

  TDC::value_type TriggerDecision::duration() const
  {
    return _duration.val;
  }

  TriggerMask::value_type TriggerDecision::mask() const
  {
    return _mask.val;
  }

  unsigned  TriggerDecision::prescale() const
  {
    return _prescale;
  }
}



#endif
