#include "art/Persistency/Common/Wrapper.h"
#include "art/Persistency/Common/Assns.h"
#include "DDTBaseDataProducts/BaseProducts.h"
#include "DDTBaseDataProducts/CompareDAQHit.h"
#include "DDTBaseDataProducts/DAQHit.h"
#include "DDTBaseDataProducts/Cluster.h"
#include "DDTBaseDataProducts/GroupedHitList.h"
#include "DDTBaseDataProducts/Track.h"
#include "DDTBaseDataProducts/Track3D.h"
#include "DDTBaseDataProducts/TriggerDecision.h"
#include "DDTBaseDataProducts/EventHeader.h"

template class novaddt::CompareDAQHit<novaddt::TDC>;
template class novaddt::GroupedHitList<novaddt::TDC>;
template class novaddt::GroupedHitList<novaddt::DCM>;

template class std::vector<novaddt::DAQHit>;
template class std::vector<novaddt::Cluster>;
template class std::vector<novaddt::Track>;
template class std::vector<novaddt::Track3D>;
template class std::vector<novaddt::TriggerDecision>;
template class std::vector< novaddt::GroupedHitList<novaddt::TDC> >;
template class std::vector< novaddt::GroupedHitList<novaddt::DCM> >;
template class std::vector< std::vector<novaddt::DAQHit> >;

template class art::Ptr<novaddt::TriggerDecision>;
template class art::Ptr< std::vector<novaddt::DAQHit> >;
template class art::Ptr<novaddt::Track>;
template class art::Ptr<novaddt::Track3D>;
template class art::Ptr<novaddt::Cluster>;

//Associations: HitList & TriggerDecision:
template class std::pair< art::Ptr< std::vector<novaddt::DAQHit> >, art::Ptr< novaddt::TriggerDecision >     >;
template class std::pair< art::Ptr< novaddt::TriggerDecision >,     art::Ptr< std::vector<novaddt::DAQHit> > >;
template class art::Assns< std::vector<novaddt::DAQHit>, novaddt::TriggerDecision,     void>;
template class art::Assns< novaddt::TriggerDecision,     std::vector<novaddt::DAQHit>, void>;
template class art::Wrapper< art::Assns< std::vector<novaddt::DAQHit>, novaddt::TriggerDecision,     void> >;
template class art::Wrapper< art::Assns< novaddt::TriggerDecision,     std::vector<novaddt::DAQHit>, void> >;

//Associations: HitList & Cluster:
template class std::pair< art::Ptr< std::vector<novaddt::DAQHit> >, art::Ptr<novaddt::Cluster>              >;
template class std::pair< art::Ptr<novaddt::Cluster>,               art::Ptr<std::vector<novaddt::DAQHit> > >;
template class art::Assns< std::vector<novaddt::DAQHit>, novaddt::Cluster,             void>;
template class art::Assns< novaddt::Cluster,             std::vector<novaddt::DAQHit>, void>;
template class art::Wrapper< art::Assns< std::vector<novaddt::DAQHit>, novaddt::Cluster,             void> >;
template class art::Wrapper< art::Assns< novaddt::Cluster,             std::vector<novaddt::DAQHit>, void> >;

//Associations: HitList & Track:
template class std::pair< art::Ptr< std::vector<novaddt::DAQHit> >, art::Ptr<novaddt::Track>                >;
template class std::pair< art::Ptr< novaddt::Track>,                art::Ptr<std::vector<novaddt::DAQHit> > >;
template class art::Assns< std::vector<novaddt::DAQHit>, novaddt::Track,               void>;
template class art::Assns< novaddt::Track,               std::vector<novaddt::DAQHit>, void>;
template class art::Wrapper< art::Assns< std::vector<novaddt::DAQHit>, novaddt::Track,               void> >;
template class art::Wrapper< art::Assns< novaddt::Track,               std::vector<novaddt::DAQHit>, void> >;

//Associations: HitList & Track3D:
template class std::pair< art::Ptr< std::vector<novaddt::DAQHit> >, art::Ptr<novaddt::Track3D>                >;
template class std::pair< art::Ptr< novaddt::Track3D>,                art::Ptr<std::vector<novaddt::DAQHit> > >;
template class art::Assns< std::vector<novaddt::DAQHit>, novaddt::Track3D,               void>;
template class art::Assns< novaddt::Track3D,               std::vector<novaddt::DAQHit>, void>;
template class art::Wrapper< art::Assns< std::vector<novaddt::DAQHit>, novaddt::Track3D,               void> >;
template class art::Wrapper< art::Assns< novaddt::Track3D,               std::vector<novaddt::DAQHit>, void> >;

template class art::Wrapper<std::vector<novaddt::Cluster> >;
template class art::Wrapper<std::vector<novaddt::DAQHit> >;
template class art::Wrapper<std::vector<novaddt::Track> >;
template class art::Wrapper<std::vector<novaddt::Track3D> >;
template class art::Wrapper<std::vector<novaddt::TriggerDecision> >;
template class art::Wrapper<novaddt::GroupedHitList<novaddt::TDC> >;
template class art::Wrapper<novaddt::GroupedHitList<novaddt::DCM> >;
template class art::Wrapper<std::vector<novaddt::GroupedHitList<novaddt::TDC> > >;
template class art::Wrapper<std::vector<novaddt::GroupedHitList<novaddt::DCM> > >;
template class art::Wrapper<std::vector<std::vector<novaddt::DAQHit> > >;

template class art::Wrapper<novaddt::EventHeader >;
