////////////////////////////////////////////////////////////////////////
// Class:       DCMSlice
// Module Type: producer
// File:        DCMSlice_module.cc
//
// Generated at Thu Dec 20 13:35:26 2012 by Zukai Wang using artmod
// from art v1_02_06.
////////////////////////////////////////////////////////////////////////

#include "art/Framework/Core/EDFilter.h"
#include "art/Framework/Core/ModuleMacros.h"
#include "art/Framework/Principal/Handle.h"	
#include "art/Framework/Principal/Event.h"

#include "DDTBaseDataProducts/BaseProducts.h"	
#include "DDTBaseDataProducts/HitList.h"	
#include "DDTBaseDataProducts/DAQHit.h"
#include "DDTBaseDataProducts/GroupedHitList.h"	
#include "DDTBaseDataProducts/CompareDAQHit.h"


namespace novaddt {
  class DCMSlice;
}

class novaddt::DCMSlice : public art::EDFilter {
public:
  explicit DCMSlice(fhicl::ParameterSet const & p);
  virtual ~DCMSlice();
  GroupedHitList<DCM> MakeSlice(art::Handle<novaddt::HitList> &hits);
  bool filter(art::Event & e) override;


private:

  // Declare member data here.
  std::string _hitslabel;
  std::string _instance;

};


novaddt::DCMSlice::DCMSlice(fhicl::ParameterSet const & p)
:
  _hitslabel (p.get< std::string>("hits_label")),
  _instance  (p.get< std::string>("instance"  ))
// Initialize member data here.
{
  // Call appropriate Produces<>() functions here.
  produces<GroupedHitList<DCM>>("DCMSlice");
}

novaddt::DCMSlice::~DCMSlice()
{
  // Clean up dynamic memory and other resources here.
}

bool novaddt::DCMSlice::filter(art::Event & e)
{

  art::Handle<novaddt::HitList> hits;
  e.getByLabel(_hitslabel,_instance,hits);

  //make a grouped hitlist out of hits after time slicing	
  std::unique_ptr< GroupedHitList<DCM> >product(new GroupedHitList<DCM>);	
  *product = MakeSlice(hits);	
  //put the hits into the event for later use	

  e.put(std::move(product),"DCMSlice");

  return true;
}


novaddt::GroupedHitList<novaddt::DCM> novaddt::DCMSlice::MakeSlice(art::Handle<novaddt::HitList> &hits)
{
  std::vector<size_t> boundaries;

  auto itStart = hits->begin();
  auto itEnd = hits->begin();

  while (itEnd!=hits->end()){
   
    while (itStart->getDCM().val==itEnd->getDCM().val) {
      ++itEnd;
      if (itEnd==hits->end()) break; 
   }

    //now add boundary
    boundaries.push_back(std::distance(itStart,itEnd));
    itStart = itEnd;

  }



  return GroupedHitList<DCM>(hits->begin(),hits->end(),boundaries);
}

DEFINE_ART_MODULE(novaddt::DCMSlice)
