////////////////////////////////////////////////////////////////////////
// Class:       TimeDCMSlice
// Module Type: producer
// File:        TimeDCMSlice_module.cc
//
// Generated at Mon Dec 31 13:28:06 2012 by Zukai Wang using artmod
// from art v1_02_06.
////////////////////////////////////////////////////////////////////////

#include "art/Framework/Core/EDFilter.h"
#include "art/Framework/Core/ModuleMacros.h"
#include "art/Framework/Principal/Handle.h"	
#include "art/Framework/Principal/Event.h"
	
	
#include "DDTBaseDataProducts/BaseProducts.h"	
#include "DDTBaseDataProducts/HitList.h"	
#include "DDTBaseDataProducts/DAQHit.h"	
#include "DDTBaseDataProducts/GroupedHitList.h"	
#include "DDTBaseDataProducts/CompareDAQHit.h"


namespace novaddt {
  class TimeDCMSlice;
}

class novaddt::TimeDCMSlice : public art::EDFilter {
public:
  explicit TimeDCMSlice(fhicl::ParameterSet const & p);
  virtual ~TimeDCMSlice();

  virtual bool filter(art::Event & e);


private:

  // Declare member data here.
  std::string   _ghlabel;
  std::string   _instance;
  unsigned int  fMinHits;
};


novaddt::TimeDCMSlice::TimeDCMSlice(fhicl::ParameterSet const & p)
  :_ghlabel  (p.get<std::string>("gh_label")),
   _instance (p.get<std::string>("instance")),
   fMinHits  (p.get<int        >("MinHits"))
// Initialize member data here.
{
  // Call appropriate Produces<>() functions here.
  produces< std::vector<HitList> >("TimeDCMSlice");
}

novaddt::TimeDCMSlice::~TimeDCMSlice()
{
  // Clean up dynamic memory and other resources here.
}

bool novaddt::TimeDCMSlice::filter(art::Event & e)
{
  art::Handle<novaddt::GroupedHitList<novaddt::TDC> > ghits;	
  e.getByLabel(_ghlabel, _instance, ghits);	

  //make a grouped hitlist out of hits after time slicing	
  std::unique_ptr< std::vector<HitList> >product(new std::vector<HitList>);

  //  std::cout<<"number of corps: "<<ghl.n_groups()<<"\n";
 
  for (unsigned int i=0; i<ghits->n_groups(); ++i){

    HitList temp = ghits->get(i);
    sort(temp.begin(),temp.end(),CompareDAQHit<DCM>());


    auto itStart = temp.begin();
    auto itEnd = temp.begin();

    while (itEnd!=temp.end()){
      while (itStart->getDCM().val==itEnd->getDCM().val){
	++itEnd;
	if (itEnd==temp.end()) break;
      }
      //      std::cout<<"DCM: "<<itStart->getDCM().val<<std::endl;

      HitList frag(itStart,itEnd);
      itStart = itEnd;

      if (frag.size() >= fMinHits) product->push_back(frag);

    }

  }

  //put the hits into the event
  e.put(std::move(product),"TimeDCMSlice");

  return true;
}

DEFINE_ART_MODULE(novaddt::TimeDCMSlice)
