////////////////////////////////////////////////////////////////////////
// Class:       SortByView
// Module Type: producer
// File:        SortByView_module.cc
//
// Generated at Wed Oct 31 09:13:12 2012 by Jan Zirnstein using artmod
// from art v1_01_01.
////////////////////////////////////////////////////////////////////////

#include "art/Framework/Core/EDProducer.h"
#include "art/Framework/Core/ModuleMacros.h"
#include "art/Framework/Principal/Handle.h"
#include "art/Framework/Principal/Event.h"

#include "DDTBaseDataProducts/CompareDAQHit.h"
#include "DDTBaseDataProducts/HitList.h"

namespace novaddt {
  class SortByView;
}

class novaddt::SortByView : public art::EDProducer {
public:
  explicit SortByView(fhicl::ParameterSet const & p);
  virtual ~SortByView();

  virtual void produce(art::Event & e);


private:

  std::string _hitslabel;

};


novaddt::SortByView::SortByView(fhicl::ParameterSet const & p)
: _hitslabel(p.get< std::string >("hits_label"))
{
  produces<HitList>("ViewSortedHits");
}

novaddt::SortByView::~SortByView()
{
  // Clean up dynamic memory and other resources here.
}

void novaddt::SortByView::produce(art::Event & e)
{
  art::Handle<novaddt::HitList> hits;
  e.getByLabel(_hitslabel, hits);
  HitList hit_list(*hits);

  sort(hit_list.begin(), hit_list.end(), CompareDAQHit<View>());

  std::unique_ptr<HitList> product(new HitList(hit_list));
  e.put(std::move(product), "ViewSortedHits");
}

DEFINE_ART_MODULE(novaddt::SortByView)
